<script>
import {Head} from "@inertiajs/vue3";
import Navbar from "@/Layouts/Partials/Navbar.vue";
import Sidebar from "@/Layouts/Partials/Sidebar.vue";
import Footer from "@/Layouts/Partials/Footer.vue";
import Breadcrumbs from "@/Componentes/Breadcrumbs.vue";

export default {
    name: "AppLayout",
    props: {
        title: {
            type: String,
            required: true
        }
    },
    components: {Breadcrumbs, Footer, Sidebar, Navbar, Head}
}
</script>

<template>
    <Head :title="title" />
    <div class="wrapper">
        <Navbar />
        <Sidebar />
        <div class="content-wrapper" id="NprogressPrincipal">
            <!-- Content Header (Page header) -->
            <Breadcrumbs />

            <!-- Main content -->
            <section class="content">
                <slot />
            </section>
            <!-- /.content -->
        </div>
        <Footer />
    </div>
</template>

<style scoped>

</style>
